diff --git a/shared/buffs/duelist.buffs.json b/shared/buffs/duelist.buffs.json
index f7123b6c..dcc272c3 100644
--- a/shared/buffs/duelist.buffs.json
+++ b/shared/buffs/duelist.buffs.json
@@ -96,6 +96,7 @@
           {
          "id" : "C_Duelist_VirtueChance",
          "stat_type" : "resolve_check_percent",
+         "stat_sub_type" : "",
          "amount" : 0.10,
          "duration_type" : "quest_end",
          "duration" : 1,
diff --git a/effects/duelist.effects.darkest b/effects/duelist.effects.darkest
index ab5b90a3..1d908e66 100644
--- a/effects/duelist.effects.darkest
+++ b/effects/duelist.effects.darkest
@@ -4,7 +4,7 @@ effect: .name "Du Lunge Bonus 1" .target "performer" .curio_result_type "positiv
 effect: .name "Du Lunge Bonus 2" .target "performer" .curio_result_type "positive" .chance 100% .skill_instant True .duration 1 .buff_ids "Du Damage Bonus 2L" "Du Damage Bonus 2H" .on_hit true .on_miss true
 effect: .name "duelist_stealth" .target "performer" .chance 100% .stealth 1 .on_hit true .on_miss true .duration 2 .buff_ids "Du_Disable_Stealth_String"
 effect: .name "duelist_stealth2" .target "performer" .chance 100% .on_hit true .on_miss true .duration 2 .buff_ids "Du_Stealth_Disabler" .has_description false
-effect: .name "duelist_disabler" .target "performer" .chance -500% .stun 1 .on_hit true .on_miss true .has_description false
+effect: .name "duelist_disabler" .target "performer" .chance -500% .stun 1 .on_hit true .on_miss true .has_description false .queue true
 effect: .name "Du Backpedal LowLight" .target "performer" .curio_result_type "positive" .chance 100% .duration 4 .buff_ids "Duelist_Def_lowlight" .on_hit true .on_miss true
 effect: .name "Du Backpedal Speed" .target "performer" .curio_result_type "positive" .chance 100% .combat_stat_buff 1 .duration 4 .speed_rating_add 2 .on_hit true .on_miss true
 effect: .name "Du Guard Effect"  .target "target" .curio_result_type "positive" .guard 1 .on_hit true .on_miss true .duration 2
@@ -51,4 +51,4 @@ effect: .name "Du Riposte Mark" .target "target" .chance 100% .tag 1 .duration 2
 effect: .name "Du Riposte Trinket"  .target "performer" .curio_result_type "positive" .chance 100% .riposte 1 .riposte_on_hit_chance_add 100% .riposte_on_miss_chance_add 100% .duration 1  .on_hit true .on_miss true .damage_low_multiply +5% .damage_high_multiply +5% .crit_chance_add 4%
 effect: .name "Du Reflect Trinket"  .target "performer" .curio_result_type "positive" .chance 100% .buff_ids "T_DU_DAMAGEREFLECT" .on_hit true .on_miss true

-effect: .name "Du Shuffle Trinket"  .target "performer" .chance 300% .shuffletarget .on_hit true .on_miss false
+effect: .name "Du Shuffle Trinket"  .target "performer" .chance 300% .shuffletarget .on_hit true .on_miss false .can_apply_on_death true
diff --git a/heroes/duelist/duelist.info.darkest b/heroes/duelist/duelist.info.darkest
index f544a64a..4154d1e8 100644
--- a/heroes/duelist/duelist.info.darkest
+++ b/heroes/duelist/duelist.info.darkest
@@ -28,7 +28,7 @@ combat_skill: .id "feint" .level 4 .type "melee" .atk 120% .dmg -100% .crit 0% .
 combat_skill: .id "disarm" .level 0 .type "melee" .atk 90% .dmg -70% .crit 2% .launch 21 .target 12 .is_crit_valid True  .can_be_riposted False .effect "Du Disarm 1a"  "Du Disarm 1b" "Du Clear Riposte" .is_stall_invalidating false
 combat_skill: .id "disarm" .level 1 .type "melee" .atk 95% .dmg -70% .crit 3% .launch 21 .target 12 .is_crit_valid True .can_be_riposted False .effect "Du Disarm 2a"  "Du Disarm 2b" "Du Clear Riposte" .is_stall_invalidating false
 combat_skill: .id "disarm" .level 2 .type "melee" .atk 100% .dmg -70% .crit 4% .launch 21 .target 12 .is_crit_valid True .can_be_riposted False .effect "Du Disarm 3a"  "Du Disarm 3b" "Du Clear Riposte" .is_stall_invalidating false
-combat_skill: .id "disarm" .level 3 .type "melee" .atk 105% .dmg -70% .crit 5% .launch 21 .target 12 .is_crit_valid True .can_be_riposted False .effect "Du Disarm 4a"  "Du Disarm 4b"" "Du Clear Riposte" .is_stall_invalidating false
+combat_skill: .id "disarm" .level 3 .type "melee" .atk 105% .dmg -70% .crit 5% .launch 21 .target 12 .is_crit_valid True .can_be_riposted False .effect "Du Disarm 4a"  "Du Disarm 4b" "Du Clear Riposte" .is_stall_invalidating false
 combat_skill: .id "disarm" .level 4 .type "melee" .atk 110% .dmg -70% .crit 6% .launch 21 .target 12 .is_crit_valid True .can_be_riposted False .effect "Du Disarm 5a"  "Du Disarm 5b" "Du Clear Riposte" .is_stall_invalidating false
